function $AdfInitializationBehavior$$($js$$) {
  this.Init($js$$);
}
$goog$exportSymbol$$("AdfInitializationBehavior", $AdfInitializationBehavior$$);
$AdfObject$$.$createSubclass$($AdfInitializationBehavior$$, $AdfClientBehavior$$);
$AdfInitializationBehavior$$.prototype.$initialize$ = function $$AdfInitializationBehavior$$$$$initialize$$($component$$255$$) {
  try {
    var $document$$10$$ = window.document, $scriptParent$$2$$ = $document$$10$$.body;
    if (null == $scriptParent$$2$$) {
      eval("var component\x3darguments[0]; " + this.$_js$);
    } else {
      var $scriptElem$$2$$ = $document$$10$$.createElement("script");
      $scriptElem$$2$$.setAttribute("type", "text/javascript");
      var $scriptNode$$2$$ = $document$$10$$.querySelector("script[nonce]");
      $scriptNode$$2$$ && $scriptElem$$2$$.setAttribute("nonce", $scriptNode$$2$$.$nonce$);
      $scriptElem$$2$$.appendChild($document$$10$$.createTextNode("var component\x3dwindow['globalVar']; " + this.$_js$));
      $scriptParent$$2$$.appendChild($scriptElem$$2$$);
      $scriptParent$$2$$.removeChild($scriptElem$$2$$);
    }
  } catch ($e$$76$$) {
    $AdfLogger$$.$LOGGER$.getLevel() >= $AdfLogger$$.WARNING && $AdfLogger$$.$LOGGER$.$logErrorAsWarning$($e$$76$$, " initializing " + this + " on " + $component$$255$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfInitializationBehavior.prototype.initialize", {$initialize$:$AdfInitializationBehavior$$.prototype.$initialize$});
$AdfInitializationBehavior$$.prototype.Init = function $$AdfInitializationBehavior$$$$Init$($js$$1$$) {
  $AdfInitializationBehavior$$.$superclass$.Init.call(this);
  $AdfAssert$$.$assertString$($js$$1$$);
  this.$_js$ = $js$$1$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfInitializationBehavior.prototype.Init", {Init:$AdfInitializationBehavior$$.prototype.Init});
